﻿.csc-console {
    display: block !important;
}

.csc-console .csc-modal-close {
    top: 2px;
    font-size: 24px;
}

.csc-console > .csc-modal-dialog
{
    position: absolute;
    left: 40px;
    right: 40px;
    top: 20px;
    bottom: 20px;
    width: calc(100% - 80px) !important;
    margin: 0 !important;
}

.csc-console .csc-modal-content
{
    position: relative;
    height: 100%;
    width: 100%;
    border-radius: 0;
    box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.25);
}

.csc-console-main-panel,
.csc-console-host
{
    position: absolute;
    top: 0px;
    bottom: 0px;
    overflow: hidden;
}

.csc-console-main-panel
{
    left: 300px;
    width: calc(100% - 300px);
}

.csc-console-host
{
   left: 0px;
   width: 100%;
   padding: 10px 20px;
   overflow-x: hidden;
   overflow-y: auto;
}


.csc-console-tabs
{
    padding: 0px;
    margin-bottom: 5px;
	height: 50px;
	overflow: hidden;
	font-size: 20px;
}

.csc-console-tabs.csc-nav-tabs a,
.csc-console-tabs > .csc-nav-tabs a
{
	font-size: 16px;
	line-height: 1;
}

.csc-console-tabs.csc-nav-tabs a > i,
.csc-console-tabs > .csc-nav-tabs a > i
{
    padding-right: 3px;
}

.csc-console-toolbar
{
    position: relative;
	height: 40px;
	margin-bottom: 5px;
	position: relative;
    margin-left: -10px;
	margin-top: -5px;
    padding-right: 30px;
}

.csc-console-toolbar::after
{
    /* clearfix */
    content: "";
    display: table;
    clear: both;
}


.csc-console-toolbar a,
.csc-console-toolbar-title,
.csc-console-toolbar .csc-console-toolbar-divider
{
	color: #222 !important;
	display: inline-block;
	position: relative;
	font-size: 20px;
	line-height: 1;
	padding: 10px;
	vertical-align: middle;
}

.csc-console-toolbar-title {
    font-size: 26px;
}

.csc-console-toolbar-divider:before {
	content: "";
	position: absolute;
	top: -3px; bottom: -3px;
	display: block;
	width: 1px;
	border-right: 1px solid #aaa;
}

.csc-console-toolbar a > i
{
    padding-right: 5px;
}

.csc-console-toolbar a:hover,
.csc-console-toolbar .csc-dropdown-menu a:hover
{
	color: #01f !important;
	background: #f7f7f7 !important;
}

.csc-console-toolbar .csc-dropdown-menu a {
    font-size: 16px;
}

.csc-console-toolbar a:not(:last-child){
	margin-right: 5px;
}

.csc-console-toolbar div {
    display: inline-block;
    width: auto;
}

.csc-console-link {
    font-size: 16px !important;
}

.csc-console.csc-section-title {

}

.csc-console-body
{
    position: absolute;
    top: 10px;
    left: 20px;
    bottom: 10px;
	right: 15px;
	padding-right: 5px;
    overflow-y: auto;
    overflow-x: hidden;
}

.csc-console-toolbar + .csc-console-body,
.csc-console-tabs + .csc-console-body
{
    top: 60px;
}

.csc-console-toolbar + .csc-console-tabs + .csc-console-body,
.csc-console-tabs + .csc-console-toolbar + .csc-console-body
{
    top: 110px;
}

.csc-console-message
{
    position: absolute;
    height: auto;
    top: 5px;
    left: 10px;
    right: 45px;
    font-size: 18px;
    color: #555;
}

/* console sections */
.csc-section {
    padding-bottom: 20px;
}

.csc-section-title
{
    font-size: 20px;
    color: #555;
    margin: 15px 0;
}

.csc-section-toolbar {
    margin-bottom: 10px;
}

.csc-section-toolbar a 
{
    font-size: 16px;
    padding: 5px 8px;
}



/* Console Navigation */
.csc-console-nav-panel
{
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    width: 300px;
    background: #f7f7f7;
    border-right: 1px #aaa solid;
    overflow-y: auto;
    z-index: 1000;
}

.csc-console-nav-panel-toggle
{
    display: none;
    padding-right: 15px;
    cursor: pointer;
}

.csc-console-nav-panel-toggle:hover
{
    text-decoration: none;
}

.csc-console-nav-panel a
{
    font-size: 18px;
}

.csc-console-nav-panel .csc-helplink-admin .csc-dropdown-menu a
{
    font-size: 14px;
}

.csc-console-nav-panel a:hover
{
    text-decoration: none !important;
    cursor: pointer !important;
}

.csc-console-nav-section
{
    margin-bottom: 15px;
}

.csc-console-nav-title
{
    font-size: 20px;
    padding: 10px;
    margin-top: 0px;
    background: #eaeaea;
    color: #222;
}

.csc-console-nav-title > a
{
    font-size: 20px;
}

.csc-console-nav-title > a:hover
{
    color: #f00;
}

.csc-console-nav-menu
{
    padding: 10px 10px 0 10px;
}

.csc-console-nav-menu > a
{
	color: #0b4e9a;
	padding: 2px;
}

.csc-console-nav-menu a {
    font-family: Arial, sans-serif !important;
}

.csc-console-nav-menu > a:hover
{
	color: #052e5e;
}

.csc-console-nav-menu .csc-item-selected {
    background-color: #ddd;
}

.csc-console-nav-tree li
{
    padding: 2px 0;
}

.csc-console-nav-branch > .csc-console-nav-tree
{
    padding-left: 20px;
}

.csc-console-nav-expander
{
    display: inline-block;
    width: 20px;
}

/* Misc Cleanup */
.csc-console table tr a {
    text-decoration: none !important;
}


/*xs*/

.csc-xs {
    display: none;
}

@media (min-width: 1px) and (max-width: 767px) {
    .csc-xs {
        display: block;
    }

    .csc-console > .csc-modal-dialog {
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        margin: 0px;
        width: 100% !important;
    }

        .csc-console > .csc-modal-dialog > .csc-modal-content {
            box-shadow: none;
            border-width: 0;
        }

    .csc-console-nav-panel {
        display: none;
        width: 100%;
        top: 45px;
    }

    .csc-console-nav-panel-visible {
        display: block;
    }

    .csc-console-nav-panel-toggle {
        display: inline;
    }

    .csc-console-main-panel {
        left: 0px;
        width: 100%;
    }

    .csc-nav-tabs > li > a {
        padding: 10px 3px;
        font-size: 13px !important;
    }

    .csc-console-body {
        left: 10px;
        right: 10px;
    }

    .csc-console-host {
        padding: 10px 10px;
    }

    .csc-console .csc-table thead {
        display: none;
    }

    .csc-console .csc-table td {
        display: table-row;
        border: unset;
    }

    .csc-tab {
        margin: unset;
    }
}

/*sm*/
@media (min-width: 768px) and (max-width: 991px) {
    .csc-console > .csc-modal-dialog {
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        width: 100% !important;
    }

    .csc-console-main-panel {
        left: 200px;
        width: calc(100% - 200px);
    }

    .csc-console-nav-panel {
        width: 200px;
    }

}

/*lg*/
@media (min-width: 992px) and (max-width: 1199px) {
    /* no changes needed*/
}

/*xl*/
@media (min-width: 1200px) {
    /* no changes needed */
}


.csc-console-body .k-treelist {
    font-family: Arial, sans-serif !important;
}